karaf-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From jwcarman <...@git.apache.org>
Subject [GitHub] karaf pull request: javax.annotation version 1.2 is not supported ...
Date Fri, 19 Dec 2014 04:41:16 GMT
GitHub user jwcarman opened a pull request:

    https://github.com/apache/karaf/pull/54

    javax.annotation version 1.2 is not supported by JDK8, downgrading to ve...

    With the current jre.properties file and JDK8, the "system" is supposedly providing version
1.2 of package javax.annotation.  However, JDK8 does not support version 1.2 of javax.annotation
(it's missing javax.annotation.Priority).  We need to "downgrade" this to version 1.1 in order
to let the proper javax.annotation version 1.2 resolve from elsewhere.

You can merge this pull request into a Git repository by running:

    $ git pull https://github.com/jwcarman/karaf master

Alternatively you can review and apply these changes as the patch at:

    https://github.com/apache/karaf/pull/54.patch

To close this pull request, make a commit to your master/trunk branch
with (at least) the following in the commit message:

    This closes #54
    
----
commit 30e1de2e1bab5216a6a57a94d82818ff8b99ca68
Author: James Carman <jcarman@apache.org>
Date:   2014-12-19T04:38:37Z

    javax.annotation version 1.2 is not supported by JDK8, downgrading to version 1.1

----


---
If your project is set up for it, you can reply to this email and have your
reply appear on GitHub as well. If your project does not have this feature
enabled and wishes so, or if the feature is enabled but not working, please
contact infrastructure at infrastructure@apache.org or file a JIRA ticket
with INFRA.
---

Mime
View raw message